/*
 * Copyright
 *   2008 axYus - www.axyus.com
 *   2008 C.Bosquet - charles.bosquet@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * @author CBO
 */
public class SelectOneCritereItemDTO extends InputCritereItemDTO {

    private List<LabelValueDTO> items;
    private LabelValueDTO selectedItem;

    protected SelectOneCritereItemDTO() {
    }

    public SelectOneCritereItemDTO(String inputId) {
        super(inputId);
        this.items = new ArrayList<LabelValueDTO>();
    }
    public SelectOneCritereItemDTO(String inputId,String lastInputValue) {
        this(inputId);
        setLastInputValue(lastInputValue);
    }

    public void addItem(LabelValueDTO item) {
        this.items.add(item);
    }

    public LabelValueDTO getSelectedItem() {
        return this.selectedItem;
    }

    public void setSelectedItem(LabelValueDTO selectedItem) {
        this.selectedItem = selectedItem;
    }

    public List<LabelValueDTO> getItems() {
        return items;
    }

    public void setItems(List<LabelValueDTO> items) {
        this.items = items;
    }

    public void accept(CritereItemVisitor critereItemVisitor) {
        critereItemVisitor.visit(this);
    }
    @Override
    public void accept(CritereItemVisitor critereItemVisitor, List<Property> properties) {
        critereItemVisitor.visit(this,properties);
    }
}
